> ## Documentation Index
> Fetch the complete documentation index at: https://docs.somya.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contact Submission Route



## OpenAPI

````yaml https://api.somya.ai/openapi.json post /v1/contact-submissions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v1/contact-submissions:
    post:
      tags:
        - contact-submissions
      summary: Create Contact Submission Route
      operationId: create_contact_submission_route_v1_contact_submissions_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactSubmissionCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactSubmissionCreateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ContactSubmissionCreate:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        email:
          type: string
          maxLength: 255
          minLength: 1
          title: Email
        company:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Company
        interested_products:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Interested Products
        how_did_you_hear:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: How Did You Hear
      type: object
      required:
        - name
        - email
      title: ContactSubmissionCreate
    ContactSubmissionCreateResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          $ref: '#/components/schemas/ContactSubmissionCreatedData'
      type: object
      required:
        - data
      title: ContactSubmissionCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ContactSubmissionCreatedData:
      properties:
        ticket_id:
          type: string
          format: uuid
          title: Ticket Id
      type: object
      required:
        - ticket_id
      title: ContactSubmissionCreatedData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````